{{ define "main" }}
  <div
    class="post {{ with .Site.Params.doNotLoadAnimations }}
      .

    {{ else }}
      animated fadeInDown

    {{ end }}"
  >
    {{ if .Params.thumbnail }}
      <div class="post__thumbnail-wrapper">
        <img class="post__thumbnail" src="{{ .Params.thumbnail | relURL }}" alt="Thumbnail image" />
      </div>

    {{ end }}
    <div class="post__content">
      <h1>{{ .Title }}</h1>
      {{ if or (eq .Type "post") (eq .Type .Site.Params.postSectionName) }}
        <ul class="post__meta">
          <li class="post__meta-item">
            <em class="fas fa-calendar-day post__meta-icon"></em>
            <span class="post__meta-text"
              >{{ if isset .Site.Params "singledateformat" }}
                {{ .Date.Format .Site.Params.singleDateFormat }}


              {{ else }}
                {{ .Date.Format "Mon, Jan 2, 2006" }}


              {{ end }}
            </span>
          </li>
          <!-- li class="post__meta-item">
            <em class="fas fa-stopwatch post__meta-icon"></em>
            <span class="post__meta-text">{{ i18n "reading_time" .ReadingTime }}</span>
          </li -->
        </ul>

      {{ end }}

      {{- partial "expirationnote.html" . -}}

      {{- if (eq .Params.toc true) -}}
        <h3>Table of Contents</h3>
        {{ .TableOfContents }}


      {{- end -}}

      {{ .Content }}

      {{- if isset .Params "series" -}}
        {{- partial "series.html" . -}}


      {{- end -}}

      {{- if (eq .Params.contact true) -}}
        {{- partial "contact.html" . -}}


      {{- end -}}
    </div>
    <div class="post__footer">
      {{ with .Page.Params.Categories }}
        {{ partial "taxonomy/categories.html" . }}


      {{ end }}

      {{ with .Page.Params.Tags }}
        {{ partial "taxonomy/tags.html" . }}


      {{ end }}
    </div>

    {{ if and (or (eq .Type "post") (eq .Type .Site.Params.postSectionName)) (ne .Page.Params.disableComments true) }}
      {{- if .Site.DisqusShortname -}}
        <div id="comment">
          <h2>{{ i18n "comments" }}</h2>
          {{ template "_internal/disqus.html" . }}
        </div>

      {{- end -}}
      {{- if .Site.Params.utterances.repo -}}
        <div id="comment">
          <h2>{{ i18n "comments" }}</h2>
          {{ partial "comments/utterances.html" . }}
        </div>

      {{- end -}}
      {{- if .Site.Params.CommentoURL -}}
        <div id="comment">
          <h2>{{ i18n "comments" }}</h2>
          {{ partial "comments/commento.html" . }}
        </div>

      {{- end -}}
      {{- if .Site.Params.gitalk.repo -}}
        <div id="comment">
          <h2>{{ i18n "comments" }}</h2>
          {{ partial "comments/gitalk.html" . }}
        </div>

      {{- end -}}


    {{ end }}
  </div>

{{ end }}
